uk.gov.hmrc.mongo.lock

# MongoLockRepository

###
Related Doc: package lock

#### class MongoLockRepository extends PlayMongoCollection[Lock] with LockRepository

Annotations
  @Singleton()

Linear Supertypes
LockRepository, PlayMongoCollection[Lock], MongoDatabaseCollection, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoLockRepository
2. LockRepository
3. PlayMongoCollection
4. MongoDatabaseCollection
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MongoLockRepository(mongoComponent: MongoComponent, timestampSupport: TimestampSupport)(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def attemptLockWithRefreshExpiry[T](lockId: String, owner: String, ttl: Duration, body: ⇒ Future[T])(implicit ec: ExecutionContext): Future[Option[T]]

   Definition Classes
     LockRepository

6. #### def attemptLockWithRelease[T](lockId: String, owner: String, ttl: Duration, body: ⇒ Future[T])(implicit ec: ExecutionContext): Future[Option[T]]

   Definition Classes
     LockRepository

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val collection: MongoCollection[Lock]

   Definition Classes
     PlayMongoCollection

9. #### val collectionName: String

   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection

10. #### def ensureIndexes: Future[Seq[String]]

    Definition Classes
      PlayMongoCollection

11. #### def ensureSchema: Future[Unit]

    Definition Classes
      PlayMongoCollection

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### val indexes: Seq[IndexModel]

    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isLocked(lockId: String, owner: String): Future[Boolean]

    Definition Classes
      MongoLockRepository → LockRepository

20. #### def lock(lockId: String, owner: String, ttl: Duration): Future[Boolean]

    Definition Classes
      MongoLockRepository → LockRepository

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val optSchema: Option[BsonDocument]

    Definition Classes
      PlayMongoCollection

25. #### def refreshExpiry(lockId: String, owner: String, ttl: Duration): Future[Boolean]

    Definition Classes
      MongoLockRepository → LockRepository

26. #### def releaseLock(lockId: String, owner: String): Future[Unit]

    Definition Classes
      MongoLockRepository → LockRepository

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toService(lockId: String, ttl: Duration): MongoLockService

    Definition Classes
      LockRepository

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from LockRepository

### Inherited from PlayMongoCollection[Lock]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped